Project

General

Profile

Freedom Issue #2842

[firefox-extension-passff][ppassff-host] Depends on a blacklisted package

smege1001 - 10 months ago - . Updated 5 months ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

0%


Description

This package depends on firefox which is a non-free package

History

#1

Updated by bill-auger 10 months ago

  • Status changed from unconfirmed to confirmed
  • Subject changed from [firefox extension passff] Depends on a non-free package to [firefox-extension-passff] Depends on a non-free package

thanks for noticing - there is also 'passff-host', which has only 'firefox-extension-passff' as a dependent

$ pacman -Si firefox-extension-passff | grep Depends
Depends On      : firefox  passff-host

$ pacman -Sii passff-host | grep -E 'Description|Required'
Description     : PassFF native messaging host application for Firefox, Chromium, Chrome, Vivaldi
Required By     : firefox-extension-passff

because parabola has no 'firefox' package, it is a small concern for freedom, as it is not possible to install 'firefox-extension-passff' - also, to be pedantic about it, firefox is not non-free - free vs non-free is really only about the software license - firefox is blacklisted, because in the default configuration, it behaves in ways that conflict with the FSDG guidelines; which has prescription other than the licensing alone

we could either blacklist them both, or try making an 'iceweasel-extension-passff' package; depending on if people think that package is useful enough to include

#2

Updated by smege1001 10 months ago

i don't really think this package is useful enough to be included

#3

Updated by bill-auger 9 months ago

  • Assignee set to bill-auger
#4

Updated by bill-auger 9 months ago

  • Status changed from confirmed to fixed
  • Subject changed from [firefox-extension-passff] Depends on a non-free package to [firefox-extension-passff][ppassff-host] Depends on a blacklisted package
#5

Updated by oaken-source 5 months ago

passff-host was blacklisted prematurely. It is still useful (in fact, it is required) for using the passff extension in iceweasel and icecat.

Since it's free software, I'll un-blacklist it.

Also available in: Atom PDF